al_pause_event_queue(3)

NAME

al_pause_event_queue - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_pause_event_queue(ALLEGRO_EVENT_QUEUE *queue, bool pause)

DESCRIPTION

Pause or resume accepting new events into the event queue (to resume, pass false for pause). Events already in the queue are unaffected.

While a queue is paused, any events which would be entered into the queue are simply ignored. This is an alternative to unregistering then re-registering all event sources from the event queue, if you just need to prevent events piling up in the queue for a while.

SEE ALSO

al_is_event_queue_paused(3)

SINCE

5.1.0